Skip to main content
POST
/
orgs
/
{orgId}
/
compliance
/
controls
/
{controlId}
/
collect
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId}/collect \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "collected": 123,
  "evidenceIds": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

controlId
string
required

Compliance control identifier to collect evidence for

Body

application/json

Input for triggering automated evidence collection

Response

200 - application/json

OK

Result of automated evidence collection

collected
integer
required

Number of evidence items collected

evidenceIds
string[]
required

IDs of the collected evidence items